Subject: bug#40118: 27.0.90; Signing emails with gpg

From: Robert Pluim <[email-masked]>
Date: Thu, 30 Apr 2020 09:37:58 +0200

>>>>> On Thu, 30 Apr 2020 06:33:39 +0200, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Robert Pluim <[email-masked]> writes:
    >> I donʼt know. Lars? (and why only for signing and not encrypting?)
    >> 
    >> commit 9c81149ae9165b0f017d60d141221b340879baef
    >> Author: Lars Ingebrigtsen <[email-masked]>
    >> Date:   Wed Oct 9 21:55:41 2019 +0200
    >> 
    >> Make mml-secure-epg-sign bug out if we can't find an identity
    >> 
    >> * lisp/gnus/mml-sec.el (mml-secure-epg-sign): Bug out if we
    >> couldn't find anything to sign with instead of silently pretending
    >> to sign.

    Lars> It's odd that the commit isn't tied to a bug report, because I remember
    Lars> twiddling with this stuff as a result of a report?

    Lars> Anyway, I think it's correct to bug out here if we can't find a signer,
    Lars> but the error message is, as you note, somewhat wrong.

I donʼt think itʼs correct: previous to this change, telling gnus to
sign an email would result in gpg using your default key, which in 99%
of the cases is the right thing to do. The 1% know how to override it.

Hence my strong desire to set
mml-secure-{smime,openpgp}-sign-with-sender to t. Or do the query
thing I proposed a patch for earlier. Or update the message.

In that order of preference, I think.

    Lars> I think.  As you note, it's odd that it's only doing this when signing
    Lars> and not encrypting.

Thatʼs a separate issue. And proobably only affects 1% of the 1% :-)

Robert